package parte01;

import java.awt.BorderLayout;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import javax.swing.JFrame;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;
import javax.swing.JTextField;
import javax.swing.ScrollPaneConstants;

public class MainTesteAreaTexto {
	public static void main(String[] args) {
		JanelaTesteAreaTexto janela = new JanelaTesteAreaTexto("Minha primeira janela");
		janela.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		janela.setSize(400, 300);
		janela.setVisible(true);
	}
}

class JanelaTesteAreaTexto extends JFrame {
	public JanelaTesteAreaTexto(String titulo) {
		super(titulo);
		initComponents();
	}

	private void initComponents() {
		setLayout(new BorderLayout(5, 5));
		
		// Campo de texto:
		final JTextField campoTexto = new JTextField();
		add(campoTexto, BorderLayout.PAGE_START);
		
		// Área de texto:
		final JTextArea areaTexto = new JTextArea();
		JScrollPane scrollPane = new JScrollPane(areaTexto);
		add(scrollPane, BorderLayout.CENTER);
		
		// Configurando a área de texto e a rolagem:
		areaTexto.setLineWrap(true);
		areaTexto.setWrapStyleWord(true);
		scrollPane.setHorizontalScrollBarPolicy(ScrollPaneConstants.HORIZONTAL_SCROLLBAR_ALWAYS);
		
		// Adiciona um ouvinte:
		campoTexto.addActionListener(new ActionListener() {
			public void actionPerformed(ActionEvent e) {
				areaTexto.append(campoTexto.getText() + "\n");
				campoTexto.setText("");
			}
		});
	}
}