package parte01;

import java.awt.FlowLayout;

import javax.swing.JFrame;
import javax.swing.JLabel;

public class MainJFrameClasse {
	public static void main(String[] args) {
		JanelaTeste janela = new JanelaTeste("Minha primeira janela");
		janela.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		janela.setSize(400, 300);
		janela.setVisible(true);
	}
}

class JanelaTeste extends JFrame {
	public JanelaTeste(String titulo) {
		super(titulo);
		initComponents();
	}

	private void initComponents() {
		// Para usar BorderLayout, comente as duas linhas. A primeira é layout null e a segunda FlowLayout.
		// setLayout(null);
		setLayout(new FlowLayout());
		
		JLabel rotuloTitulo = new JLabel("Calculadora Java");

		// Se usar BorderLayout, determine a posição do componente:
		// add(rotuloTitulo, BorderLayout.PAGE_START);
		add(rotuloTitulo);
		
		// Se usar layout null, determine a posição do componente:
		// rotuloTitulo.setBounds(100, 50, 200, 50);
	}
}