package parte01;

import java.awt.BorderLayout;
import java.awt.Color;
import java.awt.Container;
import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.JPanel;

public class MainTesteEventosMouseComAdapter {
	public static void main(String[] args) {
		JanelaTesteEventosMouseComAdapter janela = new JanelaTesteEventosMouseComAdapter("Minha primeira janela");
		janela.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		janela.setSize(400, 300);
		janela.setVisible(true);
	}
}

class JanelaTesteEventosMouseComAdapter extends JFrame {
	public JanelaTesteEventosMouseComAdapter(String titulo) {
		super(titulo);
		initComponents();
	}

	private void initComponents() {
		// Cria e adiciona o ouvinte usando adaptador.
		addMouseListener(new MouseAdapter() {
			public void mouseClicked(MouseEvent e) {
				Container pane = getContentPane();
				
				/*
				if (e.getButton() == MouseEvent.BUTTON1) {
					if (e.getClickCount() > 1) pane.setBackground(Color.BLUE);
					else pane.setBackground(Color.GREEN);
				}
				else if (e.getButton() == MouseEvent.BUTTON2) pane.setBackground(Color.MAGENTA);
				else if (e.getButton() == MouseEvent.BUTTON3) pane.setBackground(Color.CYAN);
				*/
				
				if (e.isMetaDown()) pane.setBackground(Color.CYAN);
				else if (e.isAltDown()) pane.setBackground(Color.MAGENTA);
				else if (e.getClickCount() > 1) pane.setBackground(Color.BLUE);
				else pane.setBackground(Color.GREEN);
			}
		});
	}
}