package parte01;

import java.awt.Dimension;
import java.awt.FlowLayout;

import javax.swing.Icon;
import javax.swing.ImageIcon;
import javax.swing.JFrame;
import javax.swing.JLabel;
import javax.swing.SwingConstants;

public class MainTesteRotulos {
	public static void main(String[] args) {
		JanelaTesteRotulos janela = new JanelaTesteRotulos("Calculadora Java");
		janela.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
		janela.setSize(400, 300);
		janela.setVisible(true);
	}
}

class JanelaTesteRotulos extends JFrame {
	public JanelaTesteRotulos(String titulo) {
		super(titulo);
		initComponents();
	}

	private void initComponents() {
		setLayout(new FlowLayout());
		setResizable(false);
		setUndecorated(false);
		setAlwaysOnTop(false);
		setBounds(100, 50, 400, 30);
		
		// Título da janela:
		Icon iconeJar = new ImageIcon(getClass().getResource("/resources/images/iconJar.png"));
		JLabel rotuloTitulo = new JLabel("Calculadora Java", iconeJar, SwingConstants.CENTER);
		rotuloTitulo.setHorizontalTextPosition(JLabel.CENTER);
		rotuloTitulo.setVerticalTextPosition(JLabel.BOTTOM);
		rotuloTitulo.setPreferredSize(new Dimension(380, 50));
		add(rotuloTitulo);
		
		// Rótulo do campo do primeiro número:
		JLabel rotuloNum1 = new JLabel("Primeiro número: ");
		rotuloNum1.setHorizontalAlignment(JLabel.LEFT);
		rotuloNum1.setPreferredSize(new Dimension(380, 30));
		add(rotuloNum1);
		
		// Rótulo do campo do segundo número:
		JLabel rotuloNum2 = new JLabel("Segundo número: ");
		rotuloNum2.setHorizontalAlignment(JLabel.LEFT);
		rotuloNum2.setPreferredSize(new Dimension(380, 30));
		add(rotuloNum2);
		
		// Rótulo do campo do resultado:
		Icon iconeMat = new ImageIcon(getClass().getResource("/resources/images/iconMath.png"));
		JLabel rotuloMdc = new JLabel("MDC = ");
		rotuloMdc.setIcon(iconeMat);
		rotuloMdc.setHorizontalAlignment(JLabel.LEFT);
		rotuloMdc.setPreferredSize(new Dimension(380, 50));
		add(rotuloMdc);
	}
}